Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: Unable to install or remove packages Ubuntu server 20.1

  1. #11
    Join Date
    May 2013
    Location
    Galiza
    Beans
    3,617
    Distro
    Ubuntu

    Re: Unable to install or remove packages Ubuntu server 20.1

    Quote Originally Posted by deepakdeshp View Post
    That was output of apt install -f
    Earlier attempt to install python-jasmin had failed.
    No, it wasn't.
    'apt install -f' tries to REMOVE it and it fails because it's broken.
    Again,
    Code:
    sudo apt install --reinstall pyhton-jasmin
    You need the --reinstall argument because it is already partially installed. That's the problem from the start and it shouldn't be necessary to tell you the same thing 3 times already.

  2. #12
    Join Date
    Jul 2009
    Beans
    363

    Re: Unable to install or remove packages Ubuntu server 20.1

    Quote Originally Posted by CelticWarrior View Post
    No, it wasn't.
    'apt install -f' tries to REMOVE it and it fails because it's broken.
    Again,
    Code:
    sudo apt install --reinstall pyhton-jasmin
    You need the --reinstall argument because it is already partially installed. That's the problem from the start and it shouldn't be necessary to tell you the same thing 3 times already.
    ok . That command also did not work. The server is Ubuntu 20.1 Vmware virtual server if it matters.

    Code:
      sudo apt install --reinstall python-jasmin[sudo] password for uma: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Reinstallation of python-jasmin is not possible, it cannot be downloaded.
    E: Can't find a source to download version '0.9.27' of 'python-jasmin:amd64'
    Last edited by deepakdeshp; January 21st, 2021 at 01:42 AM.

  3. #13
    Join Date
    Jul 2009
    Beans
    363

    Re: Unable to install or remove packages Ubuntu server 20.1

    Code:
    sudo apt install python-jasmin    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    python-jasmin is already the newest version (0.9.27).
    E: Can't find a source to download version '0.9.27' of 'python-jasmin:amd64'
    uma@localhost:/etc/apt/sources.list.d$ sudo apt purge python-jasmin
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED:
      python-jasmin
    0 upgraded, 0 newly installed, 1 to remove and 558 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue? [Y/n] y
    (Reading database ... 224264 files and directories currently installed.)
    Removing python-jasmin (0.9.27) ...
    Failed to stop jasmind.service: Unit jasmind.service not loaded.
    dpkg: error processing package python-jasmin (--remove):
     installed python-jasmin package post-removal script subprocess returned error e
    xit status 5
    dpkg: too many errors, stopping
    Errors were encountered while processing:
     python-jasmin
    Processing was halted because there were too many errors.
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  4. #14
    Join Date
    May 2013
    Location
    Galiza
    Beans
    3,617
    Distro
    Ubuntu

    Re: Unable to install or remove packages Ubuntu server 20.1

    Is the repository still available?
    https://packagecloud.io/jookies/python-jasmin/install

  5. #15
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    11,824
    Distro
    Ubuntu

    Re: Unable to install or remove packages Ubuntu server 20.1

    Found this: https://unix.stackexchange.com/quest...python-jasmine

    Looks like a known issue.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  6. #16
    Join Date
    Jul 2009
    Beans
    363

    Re: Unable to install or remove packages Ubuntu server 20.1

    Quote Originally Posted by CelticWarrior View Post
    Thanks. The install was unsuccessful.

    Code:
    export dist=groovyuma@localhost:~$ curl -s https://packagecloud.io/install/repositories/jookies/python-jasmin/script.deb.sh | sudo bash
    Detected operating system as Ubuntu/groovy.
    Checking for curl...
    Detected curl...
    Checking for gpg...
    Detected gpg...
    Running apt-get update... done.
    Installing apt-transport-https... done.
    Installing /etc/apt/sources.list.d/jookies_python-jasmin.list...curl: (22) The requested URL returned error: 404 Not Found
    
    
    
    
    Unable to download repo config from: https://packagecloud.io/install/repositories/jookies/python-jasmin/config_file.list?os=Ubuntu&dist=groovy&source=script
    
    
    This usually happens if your operating system is not supported by 
    packagecloud.io, or this script's OS detection failed.
    
    
    You can override the OS detection by setting os= and dist= prior to running this script.
    You can find a list of supported OSes and distributions on our website: https://packagecloud.io/docs#os_distro_version
    
    
    For example, to force Ubuntu Trusty: os=ubuntu dist=trusty ./script.sh
    
    
    If you are running a supported OS, please email support@packagecloud.io and report this.

  7. #17
    Join Date
    May 2013
    Location
    Galiza
    Beans
    3,617
    Distro
    Ubuntu

    Re: Unable to install or remove packages Ubuntu server 20.1

    You should read the error messages, once and for all. This one is quite explicit and comes with specific instructions.
    This all started with something you messed up but didn't bother to post about. How exactly we don't know unless you tell us. I suspect that you have been trying to do stuff / install things you don't really understand. That resulted in a partially installed package that now, for the umpteenth time, needs to be reinstalled before it can be removed for good and in order to reinstall you need the repo from where it came from in the first place. That's all and I'm out.

  8. #18
    Join Date
    Sep 2011
    Location
    Behind you!
    Beans
    1,464
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Unable to install or remove packages Ubuntu server 20.1

    Quote Originally Posted by deadflowr View Post
    Found this: https://unix.stackexchange.com/quest...python-jasmine

    Looks like a known issue.
    Quoted in case it was missed.

  9. #19
    Join Date
    Jul 2009
    Beans
    363

    Re: Unable to install or remove packages Ubuntu server 20.1

    Quote Originally Posted by CelticWarrior View Post
    You should read the error messages, once and for all. This one is quite explicit and comes with specific instructions.
    This all started with something you messed up but didn't bother to post about. How exactly we don't know unless you tell us. I suspect that you have been trying to do stuff / install things you don't really understand. That resulted in a partially installed package that now, for the umpteenth time, needs to be reinstalled before it can be removed for good and in order to reinstall you need the repo from where it came from in the first place. That's all and I'm out.
    Thanks for your time.The forums are to handhold and give help. You advised 3 times to install the package with reinstall switch. I had said other ways of install didn't work. Your method doesn't work too.Advise should help a person. Pontification to read the error messages and to act on that isn't the way. If you don't like my response , you can keep quiet don't try to prove how hopeless I am. On another forum I help am level 18 on that and I follow what I said just now.
    Good luck to you. I won't participate in the war you started.

  10. #20
    Join Date
    Jul 2009
    Beans
    363

    Re: Unable to install or remove packages Ubuntu server 20.1

    Quote Originally Posted by CelticWarrior View Post
    You should read the error messages, once and for all. This one is quite explicit and comes with specific instructions.
    This all started with something you messed up but didn't bother to post about. How exactly we don't know unless you tell us. I suspect that you have been trying to do stuff / install things you don't really understand. That resulted in a partially installed package that now, for the umpteenth time, needs to be reinstalled before it can be removed for good and in order to reinstall you need the repo from where it came from in the first place. That's all and I'm out.

    Sorry I had missed that. this solution worked.

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •